Subject: Re: [PATCH] selftests: Add VRF icmp error route lookup test

From: Mathieu Desnoyers <[email-masked]>
Date: Tue, 11 Aug 2020 15:11:03 -0400 (EDT)

----- On Aug 11, 2020, at 2:57 PM, David Ahern [email-masked] wrote:

> On 8/11/20 11:28 AM, David Miller wrote:
>> From: Michael Jeanson <[email-masked]>
>> Date: Thu,  6 Aug 2020 14:51:21 -0400
>> 
>>> The objective is to check that the incoming vrf routing table is selected
>>> to send an ICMP error back to the source when the ttl of a packet reaches 1
>>> while it is forwarded between different vrfs.
>>>
>>> The first test sends a ping with a ttl of 1 from h1 to h2 and parses the
>>> output of the command to check that a ttl expired error is received.
>>>
>>> [This may be flaky, I'm open to suggestions of a more robust approch.]
>>>
>>> The second test runs traceroute from h1 to h2 and parses the output to
>>> check for a hop on r1.
>>>
>>> Signed-off-by: Michael Jeanson <[email-masked]>
>> 
>> This patch does not apply cleanly to the current net tree.
>> 
> 
> It is also out of context since the tests fail on current net and net-next.
> 
> The tests along with the patches that fix the problem should be sent
> together.

One thing I am missing before this series can be considered for upstreaming
is an Acked-by of the 2 fixes for ipv4 and ipv6 from you, as maintainer
of l3mdev, if you think the approach I am taking with those fixes makes sense.

Thanks,

Mathieu

-- 
Mathieu Desnoyers
EfficiOS Inc.
http://www.efficios.com